/**
 * Created by maurodouglas on 01/11/16.
 */

load('/model/ressuprimento/checkOut.js');
load('/model/preFatura/preFatura.js');

var GravaRessuprimento = function() {
  this.mapper = mapperFactory.createMapperMult(["EstProdTransf","EstProdTransfIt","EstWmsSai","EstWmsSaiRet"]);
};

GravaRessuprimento.prototype.gravaCheckOut = function(json){

  this.gravaConfirmacao(json);

  var itens = json.get("itens");
  this.atualizaQuantidadeAntedida(itens);

}

GravaRessuprimento.prototype.gravaConfirmacao = function(json){
  var checkOut   = new CheckOutRessuprimento();
  var metodo     = 'POST';

  checkOut.gerenciarConfFases(metodo,json);
  checkOut.gerenciarConfFasesItens(metodo,json);

}

GravaRessuprimento.prototype.atualizaQuantidadeAntedida = function(json){
  var preFatura    = new PreFatura();
  metodo           = 'PUT';
  for (i = 0; i < json.size(); i++) {
    variaveis           = {};
    variaveis.cdEmp     = json.get("cdEmp");
    variaveis.cdFilial  = json.get("cdFilial");
    variaveis.cdCtr     = json.get("cdCtr");
    variaveis.cdProd    = json.get("cdProd");
    variaveis.cdProd    = json.get("qtAt");
    preFatura.gerenciarPreFaturaItens(metodo,variaveis);
  }
}
